import { SessionManager } from './session.js';
export declare function getPolyfillManager(browser: WebdriverIO.Browser): PolyfillManager;
/**
 * A polyfill to set `__name` to the global scope which is needed for WebdriverIO to properly
 * execute custom (preload) scripts. When using `tsx` Esbuild runs some optimizations which
 * assume that the file contains these global variables. This is a workaround until this issue
 * is fixed.
 *
 * @see https://github.com/evanw/esbuild/issues/2605
 */
export declare const polyfillFn: () => void;
/**
 * This class is responsible for setting polyfill scripts in the browser.
 */
export declare class PolyfillManager extends SessionManager {
    #private;
    constructor(browser: WebdriverIO.Browser);
    removeListeners(): void;
    initialize(): Promise<boolean>;
}
//# sourceMappingURL=polyfill.d.ts.map